Bug 847892 - CNTLM : Parent proxy drop connection
CNTLM : Parent proxy drop connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cntlm (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On: 847888
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 18:31 EDT by Fabiano Martins
Modified: 2014-08-12 11:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-12 11:13:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patchfile that solve the problem (2.12 KB, patch)
2012-08-13 18:31 EDT, Fabiano Martins
no flags Details | Diff

  None (edit)
Description Fabiano Martins 2012-08-13 18:31:49 EDT
Created attachment 604102 [details]
Patchfile that solve the problem

Description of problem:

I use CNTLM on my machine to acess the corporate proxy (Webwasher 6.9.3.13514) by setting password in one place.

The problem are that the parent proxy sometimes drop my connection. Ok, the bug is not on CNTLM, but if I change CNTLM I can resolv my problem...

I solved the problem by implementing a retry feature on forward_request() function (patchfile attached)

I opened a ticket on bugtraq from SourceForge (https://sourceforge.net/tracker/?func=detail&aid=3557026&group_id=197861&atid=963162), but it may take a long time to generate a new version, so I'm opening here too

=================================================

Version-Release number of selected component:
cntlm-0.92-2.fc17.x86_64

=================================================


How reproducible:

1. Install and configure CNTLM on my local machine to use my corporate proxy as parent
2. Configure my Firefox to use the local CNTLM as proxy
3. Navigate, and sometimes you will receive a connection error message
4. Include the attached patch on cntlm.spec, generate a new RPM and install it
5. Navigate, and you never more recebe a connection error message
Comment 1 Fedora End Of Life 2013-07-03 20:11:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fabiano Martins 2013-07-04 13:22:19 EDT
This package was not changed on Fedora 19, and so the problem remains.

On Bug 847888 I ask to update CNTLM to current version (0.92.3), but this problem was not fixed on it: please aplly my pactch after version update.

If I can help on any form, please let me know.
Comment 3 Fedora Admin XMLRPC Client 2013-08-22 08:09:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Sandro Mani 2014-08-10 07:43:29 EDT
Hi Fabiano,

I recall you mentioning in a private email some time ago that you were looking at porting the patch to 0.92.3 and possibly contacting upstream. Did you work on this? Is this issue still affecting you?
Comment 5 Fabiano Martins 2014-08-12 10:54:20 EDT
Hi Sandro,

I changed of employer, and I no longer use CNTLM on new environment.

But I have some time available, and if you like I can port my code to upstream and post a patch here.
Comment 6 Sandro Mani 2014-08-12 11:13:12 EDT
Hi Fabiano,

If you feel like proposing the code upstream, why not. I don't know how active cntlm still is though, so I'd ask them if they are interested before doing the work and see whether you get a reply.

If you don't mind I'll close this bug, since, serious issues aside, carrying feature patches downstream should be avoided. In case the code gets upstream it will land with the next update.

Thanks

Note You need to log in before you can comment on or make changes to this bug.